# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KMainWindowInterface Class Reference

DCOP interface to KMainWindow. More...

`#include <kmainwindowiface.h>`

Inheritance diagram for KMainWindowInterface:

[legend]
Collaboration diagram for KMainWindowInterface:

[legend]
List of all members.

## DCOP Member Functions

QCStringList | actions ()
bool | activateAction (QCString action)
bool | disableAction (QCString action)
bool | enableAction (QCString action)
bool | actionIsEnabled (QCString action)
QCString | actionToolTip (QCString action)
DCOPRef | action (const QCString &name)
QMap< QCString, DCOPRef > | actionMap ()
int | getWinID ()
void | grabWindowToClipBoard ()
void | hide ()
void | maximize ()
void | minimize ()
void | resize (int newWidth, int newHeight)
void | move (int newX, int newY)
void | setGeometry (int newX, int newY, int newWidth, int newHeight)
void | raise ()
void | lower ()
void | restore ()
void | show ()

## Public Member Functions

| KMainWindowInterface (KMainWindow *mainWindow)
| ~KMainWindowInterface ()
QCStringList | functionsDynamic ()
bool | processDynamic (const QCString &fun, const QByteArray &data, QCString &replyType, QByteArray &replyData)

## Detailed Description

DCOP interface to KMainWindow.

This is the main interface to the KMainWindow. This will provide a consistent DCOP interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@yahoo.com>

Definition at line 40 of file kmainwindowiface.h.

## Constructor & Destructor Documentation

KMainWindowInterface::KMainWindowInterface | ( | KMainWindow * | mainWindow | ) |

Construct a new interface object.

Parameters:

  | mainWindow | - The parent KMainWindow object that will provide us with the KAction objects.

Definition at line 31 of file kmainwindowiface.cpp.

References KXMLGUIClient::actionCollection().

KMainWindowInterface::~KMainWindowInterface | ( |  | ) |

| Destructor Cleans up the dcop action proxy object. Definition at line 39 of file kmainwindowiface.cpp.

## Member Function Documentation

QCStringList KMainWindowInterface::actions | ( |  | ) |

Return a list of actions available to the application's window.

Returns:
  A QCStringList containing valid names actions.

Definition at line 45 of file kmainwindowiface.cpp.

bool KMainWindowInterface::activateAction | ( | QCString | action | ) |

Activates the requested action.

Parameters:

  | action | The name of the action to activate. The names of valid actions can be found by calling actions().

Returns:
  The success of the operation.

Definition at line 58 of file kmainwindowiface.cpp.

bool KMainWindowInterface::disableAction | ( | QCString | action | ) |

Disables the requested action.

Parameters:

  | action | The name of the action to disable. The names of valid actions can be found by calling actions().

Returns:
  The success of the operation.

Definition at line 71 of file kmainwindowiface.cpp.

bool KMainWindowInterface::enableAction | ( | QCString | action | ) |

Enables the requested action.

Parameters:

  | action | The name of the action to enable. The names of valid actions can be found by calling actions().

Returns:
  The success of the operation.

Definition at line 84 of file kmainwindowiface.cpp.

bool KMainWindowInterface::actionIsEnabled | ( | QCString | action | ) |

Returns the status of the requested action.

Parameters:

  | action | The name of the action. The names of valid actions can be found by calling actions().

Returns:
  The state of the action, true - enabled, false - disabled.

Definition at line 97 of file kmainwindowiface.cpp.

QCString KMainWindowInterface::actionToolTip | ( | QCString | action | ) |

Returns the tool tip text of the requested action.

Parameters:

  | action | The name of the action to activate. The names of valid actions can be found by calling actions().

Returns:
  A QCString containing the text of the action's tool tip.

Definition at line 109 of file kmainwindowiface.cpp.

DCOPRef KMainWindowInterface::action | ( | const QCString & | name | ) |

Returns a dcop reference to the selected KAction.

Parameters:

  | name | The name of the action. The names of valid actions can be found by calling actions().

Returns:
  A DCOPRef for the kaction.

Definition at line 122 of file kmainwindowiface.cpp.

QMap< QCString, DCOPRef > KMainWindowInterface::actionMap | ( |  | ) |

| Returns and action map. Definition at line 127 of file kmainwindowiface.cpp.

int KMainWindowInterface::getWinID | ( |  | ) |

Returns the ID of the current main window.

This is useful for automated screen captures or other evil widget fun.

Returns:
  A integer value of the main window's ID.

Definition at line 132 of file kmainwindowiface.cpp.

void KMainWindowInterface::grabWindowToClipBoard | ( |  | ) |

| Copies a pixmap representation of the current main window to the clipboard. Definition at line 136 of file kmainwindowiface.cpp.

The documentation for this class was generated from the following files:

- kmainwindowiface.h
- kmainwindowiface.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:42 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003